
Installer - Bug #5488

kafo hook deprecation warning

04/29/2014 02:48 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Seen on kafo 0.5.4 with foreman-installer-1.6.0-0.develop.201404220443git9e70995.el6.noarch:

[ WARN 2014-04-29 15:47:33 verbose] Hook 'Kafo::HookContext' is using block with arguments which i

s DEPRECATED, access to kafo instance is provided by hook DSL, please remove |kafo| from your hook

 block

Associated revisions

Revision 40fc22ee - 10/16/2014 07:39 AM - Martin Bacovsky

Fixes #5488 - fixed hook deprecation warning

- code from installer executable was moved to hooks

- services details in post-install message printed out on success only

History

#1 - 10/16/2014 08:01 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 40fc22eecd3f313dfa63870f9513d54f355b1f86.
